Package org.apache.felix.http.javaxwrappers

# Class FilterConfigWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.FilterConfigWrapper

All Implemented Interfaces:
  `javax.servlet.FilterConfig`

public class FilterConfigWrapper extends Object implements javax.servlet.FilterConfig
Filter config wrapper

## Constructor Summary

Constructors
Constructor
Description
`FilterConfigWrapper(@NotNull jakarta.servlet.FilterConfig filterConfig)`
Create config

## Method Summary

Modifier and Type
Method
Description
`String`
`getFilterName()`
`String`
`getInitParameter(String name)`
`Enumeration<String>`
`getInitParameterNames()`
`javax.servlet.ServletContext`
`getServletContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterConfigWrapper

public FilterConfigWrapper(@NotNull @NotNull jakarta.servlet.FilterConfig filterConfig)
Create config

Parameters:
  `filterConfig` - wrapped config

## Method Details

### getFilterName

public String getFilterName()

Specified by:
  `getFilterName` in interface `javax.servlet.FilterConfig`

### getServletContext

public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `javax.servlet.FilterConfig`

### getInitParameter

public String getInitParameter(String name)

Specified by:
  `getInitParameter` in interface `javax.servlet.FilterConfig`

### getInitParameterNames

public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `javax.servlet.FilterConfig`